<div *ngIf="isBasketEmpty; else basketHasProducts">Your shopping cart is currently empty.</div>

<ng-template #basketHasProducts>
  <table class="ui celled padded table">
    <thead>
      <tr>
        <th>Name</th>
        <th>Price</th>
        <th></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let product of products">
        <td>
          <h4>{{ product.name }}</h4>
        </td>
        <td>${{ product.price }}</td>
        <td class="right aligned">
          <button type="button" class="ui fluid button" (click)="removeProductFromBasket(product)">
            Remove product
          </button>
        </td>
      </tr>
    </tbody>
  </table>

  <button type="button" class="ui fluid button" (click)="placeOrder()">Place an order</button>
</ng-template>

<div class="ui green segment" *ngIf="order | async as o">
  Your order has been successfully placed at {{ o.orderTimestamp }}
</div>
